<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
Set Method (IEdmData)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmData Interface : Set Method (IEdmData)

Visual Basic
C#
C++/CLI

eKey
  ID of property to update as defined in EdmDataPropertyType

poValue
  New value of property

Sets one of the data object properties to a new value.

# Syntax

Visual Basic |
--- | ---

    Sub Set( _
       ByVal eKey As EdmDataPropertyType, _
       ByRef poValue As System.Object _
    )

C# |
--- | ---

    void Set(
       EdmDataPropertyType eKey,
       ref System.object poValue
    )

C++/CLI |
--- | ---

    void Set(
    &   EdmDataPropertyType eKey,
    &   System.Object^% poValue
    )

#### Parameters

eKey
  ID of property to update as defined in EdmDataPropertyType
poValue
  New value of property

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmData Interface
IEdmData Members
IEdmData::Get Method ()

# Availability

SOLIDWORKS PDM Professional Version 5.2